package cn.com.tenlion.systembase.controller.route.enterprisepatrol;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: EnterprisePatrolController
 * @Description: 企业巡查记录
 * @Author: CodeFactory
 * @Date: 2022-01-07 15:23:28
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "企业巡查记录路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/enterprisepatrol")
public class EnterprisePatrolRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("enterprisepatrol/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("enterprisepatrol/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("enterprisepatrol/list");
    }

}